## org.gjt.sp.jedit
Class BeanShellAction

    java.lang.Object
      org.gjt.sp.jedit.EditAction
          org.gjt.sp.jedit.BeanShellAction

public class BeanShellAction
extends EditAction

An action that evaluates BeanShell code when invoked. BeanShell actions are usually loaded from `actions.xml` and `browser.actions.xml` files; see `ActionSet` for syntax information.

Version:
  $Id: BeanShellAction.java,v 1.17 2003/07/17 23:49:44 spestov Exp $
Author:
  Slava Pestov
See Also:
  `jEdit.getAction(String)`, `jEdit.getActionNames()`, `ActionSet`

Nested Class Summary

Nested classes inherited from class org.gjt.sp.jedit.EditAction
`EditAction.Wrapper`

Constructor Summary
`BeanShellAction(java.lang.String name, java.lang.String code, java.lang.String isSelected, boolean noRepeat, boolean noRecord, boolean noRememberLast)`

Method Summary
`java.lang.String` `getCode()` Returns the BeanShell code that will replay this action.
`void` `invoke(View view)` Invokes the action.
`boolean` `isSelected(java.awt.Component comp)` If this edit action is a toggle, returns if it is selected or not.
`boolean` `noRecord()` Returns if this edit action should not be recorded.
`boolean` `noRememberLast()` Returns if this edit action should not be remembered as the most recently invoked action.
`boolean` `noRepeat()` Returns if this edit action should not be repeated.

Methods inherited from class org.gjt.sp.jedit.EditAction
`getLabel, getMouseOverText, getName, getView, isToggle, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanShellAction

    public BeanShellAction(java.lang.String name,
                           java.lang.String code,
                           java.lang.String isSelected,
                           boolean noRepeat,
                           boolean noRecord,
                           boolean noRememberLast)

Method Detail

### invoke

    public void invoke(View view)

  Description copied from class: `EditAction`
  Invokes the action.

  Overrides:
    `invoke` in class `EditAction`
  Parameters:
    `view` - The view

### isSelected

    public boolean isSelected(java.awt.Component comp)

  Description copied from class: `EditAction`
  If this edit action is a toggle, returns if it is selected or not.

  Overrides:
    `isSelected` in class `EditAction`
  Parameters:
    `comp` - The component

### noRepeat

    public boolean noRepeat()

  Description copied from class: `EditAction`
  Returns if this edit action should not be repeated. Returns false by default.

  Overrides:
    `noRepeat` in class `EditAction`

### noRecord

    public boolean noRecord()

  Description copied from class: `EditAction`
  Returns if this edit action should not be recorded. Returns false by default.

  Overrides:
    `noRecord` in class `EditAction`

### noRememberLast

    public boolean noRememberLast()

  Returns if this edit action should not be remembered as the most recently invoked action.

  Overrides:
    `noRememberLast` in class `EditAction`
  Since:
    jEdit 4.2pre1

### getCode

    public java.lang.String getCode()

  Description copied from class: `EditAction`
  Returns the BeanShell code that will replay this action.

  Specified by:
    `getCode` in class `EditAction`